﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace StackedBar_CodeBehind
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.CreateChart();
        }

        private void CreateChart()
        {
            for (int i = 0; i < 3; i++)
            {
                SeriesMapping seriesMapping = new SeriesMapping();
                seriesMapping.SeriesDefinition = new StackedBarSeriesDefinition("stack 1");
                seriesMapping.SeriesDefinition.ShowItemToolTips = true;
                seriesMapping.SeriesDefinition.ShowItemLabels = false;
                seriesMapping.SeriesDefinition.InteractivitySettings.HoverScope = InteractivityScope.Series;
                seriesMapping.SeriesDefinition.InteractivitySettings.SelectionScope = InteractivityScope.Series;
                //seriesMapping.ItemMappings.Add(new ItemMapping("XValue", DataPointMember.XValue));
                seriesMapping.ItemMappings.Add(new ItemMapping("Value1", DataPointMember.YValue));
                chart.SeriesMappings.Add(seriesMapping);
            }

            for (int i = 0; i < 3; i++)
            {
                SeriesMapping compareSeriesMapping = new SeriesMapping();
                compareSeriesMapping.SeriesDefinition = new StackedBarSeriesDefinition("stack 2");
                compareSeriesMapping.SeriesDefinition.ShowItemToolTips = true;
                compareSeriesMapping.SeriesDefinition.ShowItemLabels = false;
                compareSeriesMapping.SeriesDefinition.InteractivitySettings.HoverScope = InteractivityScope.Series;
                compareSeriesMapping.SeriesDefinition.InteractivitySettings.SelectionScope = InteractivityScope.Series;
                //compareSeriesMapping.ItemMappings.Add(new ItemMapping("XValue", DataPointMember.XValue));
                compareSeriesMapping.ItemMappings.Add(new ItemMapping("Value2", DataPointMember.YValue));
                chart.SeriesMappings.Add(compareSeriesMapping);
            }

            this.chart.ItemsSource = DataObject.GetData();
        }            
    }
}
